<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Note</title>
    <style>
        body {
            background-image: url("https://images.pexels.com/photos/4827/nature-forest-trees-fog.jpeg?auto=compress&cs=tinysrgb&dpr=2&h=650&w=940");
            background-size: cover;
            background-repeat: no-repeat;
            backdrop-filter: blur(2px);
            padding: 0;
            margin: 0;
            line-height: 1.6;
            min-height: 100vh;
        }
        .card-text {
            box-shadow: 0 4px 8px rgba(0, 0, 0, 0.6);
            transition: 0.4s;
            height: 340px;
            width: 240px;
            background: white;
            text-align: center;
            font-size: 16px;
            float: left;
            margin: 10px;
            margin-left: 45px;
            margin-bottom: 30px;
            overflow-y:auto;
            border-radius: 18px;
            outline: 1px solid #406343;

            transition: 0.3s ease;
            cursor: pointer;
        }
        .card-text:hover {
            transform: scale(1.1);
            box-shadow: 5px 5px 15px rgba(0, 0, 0, 0.6);
        }
        .card-title {
            text-align: center;
            margin: 30px;
            color: #1F441E;
        }
        .card-to {
            text-align: left;
            margin: 20px;
            font-size: 15px;
            color: #32502E;
        }
        .card-message {
            text-align: justify;
            margin: 20px;
            font-size: 15px;
            color: #32502E;
        }
        .card-from {
            text-align: left;
            margin: 20px;
            font-size: 15px;
            color: #32502E;
        }

        * {
            box-sizing: border-box;
        }
        ul {
        margin: 0;
        padding: 0;
        list-style: none;
        }
        h2, h3, a {
            color: #32502E;
        }
        a {
            text-decoration: none;
        }
        .logo {
            margin: 0;
            font-size: 1.45em;
        }
        .main-nav {
            margin-top: 0;
        }
        .logo a, .main-nav a {
            padding: 10px 20px;
            text-transform: uppercase;
            text-align: center;
            display:block;
            font-family: 'Montserrat'
        }
        .main-nav a {
            color: white;
            font-size: 20px;
        }
        .main-nav a:hover {
            color: #00917C;
        }
        .header {
            padding-top: 10px;
            padding-bottom: 10px;
            border: 1px solid #32502E;
            background-color: #1F441E;
            -webkit-box-shadow: 0px 0px 14px 0px rgba(0,0,0,0.75);
            -moz-box-shadow: 0px 0px 14px 0px rgba(0,0,0,0.75);
            box-shadow: 0px 0px 14px 0px rgba(0,0,0,0.9);
            border-radius: 0px 0px 15px 15px;
        }
        @media (min-width: 769px) {
        	.header,
            .main-nav {
                display: flex;
            }
            .header {
                flex-direction: column;
                align-items: center;
                width: 100%;
            }
        }

        @media (min-width: 1025px) {
            .header {
                flex-direction: row;
                justify-content:center;
            }
        }
    </style>
</head>
<body>
    <header class="header">
        <ul class="main-nav">
            <li><a href="/lab_4/add-note">Form</a></li>
            <li><a href="/lab_4">Table</a></li>
            <li><a href="#">List</a></li>
        </ul>
    </header> 

    <center><h3 style="color: #1F441E;">RECENT MESSAGES</h3></center>
    <div class="card">
        {% for note in notes %}
        <div class="card-text">
            <div class="card-title"><h3><b>{{ note.title }}</b></h3></div>
            <div class="card-to"><em>Dear {{ note.to }},</em></div>
            <div class="card-message">{{ note.message }}</div>
            <div class="card-from"><em>Regards, {{ note.From }}.</em></div>
            <!-- <br>
            <b>To:</b> {{ note.to }} <br>
            <b>From:</b> {{ note.From }} <br>
            <b>Title:</b> {{ note.title }} <br>
            <b>Message:</b> <br>
            <p>{{ note.message }}</p> -->
        </div>
        {% endfor %}
    </div>
</body>
</html>